Robots
Create a Robot Toolset
Create a reusable member-authored Toolset.
POST
/robots/toolsetsCreate a reusable member-authored Toolset.
storyden-session<token>
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/robots/toolsets" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string", "tools": [ "string" ] }'{
"id": "string",
"name": "string",
"description": "string",
"instruction": "string",
"tools": [
"string"
],
"source": "system",
"source_ref": "string",
"editable": true,
"usage_count": 0,
"requires_workspace": true,
"author": {
"id": "cc5lnd2s1s4652adtu50",
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"signature": "<body><p>Sent with love from London!</p></body>",
"roles": [
{
"badge": true,
"default": true,
"id": "cc5lnd2s1s4652adtu50",
"name": "string",
"colour": "string",
"meta": {}
}
]
},
"meta": {}
}Empty
Empty
Empty
{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}